import axios from 'axios';
const requestUrl = 'http://153.37.175.42:8086/'; // 测试内部接口
//const requestUrl = 'https://api.liebaoai.cn/'; // 统一正式接口
//创建axios实例
const service = axios.create({
    timeout: 30000 //超时时间
})

//添加request拦截器
service.interceptors.request.use(config => {
    config.headers = {
     // 设置全局请求头
     'token': 'a2557a7b2e94197ff767970b67041697',
     'aliasId': '',
     'platformType': 'iOS',
     // 'content-type': params.method == "GET" ? 'application/x-www-form-urlencoded' : 'application/json;charset=utf-8',
     'Content-type': 'application/x-www-form-urlencoded;charset=UTF-8',
    }
    config.params = {
      t: Date.parse(new Date()),
      ...config.params
    }
    return config;
}, error => {
    Promise.reject(error);
})

//添加response拦截器
service.interceptors.response.use(
    response => {
      if (response.status === 200) {
        let res = {};
        res.code = response.data.code;
        res.data = response.data;
        return Promise.resolve(res.data)
      } else {
        return Promise.reject(response)
      }
    },
    error => {
        if (error.response && error.response.code == 404) {
            //跳转到xx页面
            console.log("404错误")
        }
        return Promise.reject(error.response)
    }
)

//封装get接口
// params={} 是设置默认值
export function get(url, params = {}) {
    params.t = new Date().getTime(); //get方法加一个时间参数,解决ie下可能缓存问题.
    return service({
        url: requestUrl + url,
        method: 'get',
        headers: {},
        params
    })
}

//封装post请求
export function post(url, data = {}) {
    //默认配置
    let sendObject = {
        url: requestUrl + url,
        method: "post",
        headers: {},
        data: data
    };
    sendObject.data = JSON.stringify(data);
    return service(sendObject)
}

//封装post请求
export function postJson(url, data = {}) {
    //默认配置
    let sendObject = {
        url: requestUrl + url,
        method: "post",
        headers: {
            'Content-Type': 'application/json;charset=UTF-8'
        },
        data: data
    };
    sendObject.data = JSON.stringify(data);
    return service(sendObject)
}
